--exclude=/discussion --no-discussion \
--plugin=brokenlinks --plugin=pagecount \
--plugin=orphans --plugin=haiku
- ./mdwn2man doc/usage.mdwn > ikiwiki.man
+ ./mdwn2man ikiwiki 1 doc/usage.mdwn > ikiwiki.man
+ ./mdwn2man ikiwiki-mass-rebuild 8 doc/ikiwiki-mass-rebuild.mdwn > ikiwiki-mass-rebuild.man
extra_clean:
rm -rf html doc/.ikiwiki
install -d $(PREFIX)/share/man/man1
install ikiwiki.man $(PREFIX)/share/man/man1/ikiwiki.1
+
+ install -d $(PREFIX)/share/man/man8
+ install ikiwiki-mass-rebuild.man $(PREFIX)/share/man/man8/ikiwiki-mass-rebuild.8
+
+ install -d $(PREFIX)/sbin
+ install ikiwiki-mass-rebuild $(PREFIX)/sbin
}
}
ikiwiki (1.1) unstable; urgency=low
+ There have been several configuration changes in this release of ikiwiki:
+
The --svn and --no-svn switches are removed, instead you should use
--rcs=svn or --no-rcs. ikiwiki setup files that set svn => 1 should
be changed to set rcs => "svn"; if your setup file sets svn => 0
The --hyperestraier switch is gone too. To enable searching, turn on the
search plugin, by passing --plugin=search or through the plugin setting in
- the config file.
+ the setup file.
The --sanitize and --no-sanitize switches are also gone, replaced with the
htmlscrubber plugin. This plugin is enabled by default, to disable it,
use --disable-plugin=htmlscrubber, or modify the plugin setting in the
- config file.
+ setup file.
+
+ If your wiki is configured with a setup file, you will need to add a line
+ to enable Discussion links at the top of pages:
+ discussion => 1,
+ Discussion pages are enabled by default, but old setup files won't enable
+ them unless you add tat line.
You will need to rebuild your wiki when upgrading to this version.
If you listed your wiki in /etc/ikiwiki/wikilist this will be done
- automatically.
+ automatically when the Debian package is upgraded.
-- Joey Hess <joeyh@debian.org> Tue, 2 May 2006 14:13:59 -0400
wikis on a system, this can be a pain to do by hand, and it's a good idea
to automate it anyway.
-This Debian package of ikiwiki supports rebuilding wikis on upgrade. The
-file /etc/ikiwiki/wikilist lists the setup files of wikis to rebuild, as
-well as the user who owns the wiki. Edit this file and add any wikis you
+This Debian package of ikiwiki supports rebuilding wikis on upgrade. It
+will run ikiwiki-mass-rebuild if necessary when upgraded. The file
+/etc/ikiwiki/wikilist lists the setup files of wikis to rebuild, as wel
+l as the user who owns the wiki. Edit this file and add any wikis you
set up.
* Removed --sanitize and --no-sanitize, replaced with --plugin htmlscrubber
and --disable-plugin htmlscrubber.
* Allow discussion links on pages to be turned off with --no-discussion.
+ * Add ikiwiki-mass-rebuild script, ripped out of the postinst.
+ * Add some new config items to the estseek.conf template, which are needed
+ by hyperestraier 1.2.3.
- -- Joey Hess <joeyh@debian.org> Fri, 5 May 2006 14:03:54 -0400
+ -- Joey Hess <joeyh@debian.org> Fri, 5 May 2006 16:23:03 -0400
ikiwiki (1.0) unstable; urgency=low
# rebuilding all wikis.
firstcompat=1.1
-wikilist=/etc/ikiwiki/wikilist
-
-processline () {
- user="$1"
- setup="$2"
-
- if [ -z "$user" ] || [ -z "$setup" ]; then
- echo "parse failure in /etc/ikiwiki/wikilist, line: '$user $setup'" >&2
- exit 1
- fi
-
- if [ ! -f "$setup" ]; then
- echo "warning: $setup specified in /etc/ikiwiki/wikilist does not exist, skipping" >&2
- else
- echo "Rebuilding $setup as user $user ..."
- su "$user" -c "ikiwiki -setup $setup"
- fi
-}
-
-if [ "$1" = configure ] && [ -e $wikilist ] && \
+if [ "$1" = configure ] && \
dpkg --compare-versions "$2" lt "$firstcompat"; then
- grep -v '^#' $wikilist | grep -v '^$' | while read line; do
- processline $line
- done
+ ikiwiki-mass-rebuild
fi
dh_clean -k
$(MAKE) pure_install INSTALLDIRS=vendor \
PREFIX=$(shell pwd)/debian/ikiwiki/$(shell perl -MConfig -e 'print $$Config{prefix}')
- dh_install debian/wikilist etc/ikiwiki
+ dh_install wikilist etc
dh_installdocs html
dh_link usr/share/common-licenses/GPL usr/share/doc/ikiwiki/html/GPL
dh_installchangelogs
+++ /dev/null
-# This file is used by the Debian package of ikiwiki to rebuild the listed
-# wikis when it is upgraded. The postinst script su's to the listed user
-# and then runs ikiwiki -setup on the specified ikiwiki setup file.
-
-#joey /home/joey/.ikiwiki/ikiwiki.setup
--- /dev/null
+# NAME
+
+ikiwiki-mass-rebuild - rebuild all ikiwiki wikis on a system
+
+# SYNOPSIS
+
+ikiwiki-mass-rebuild
+
+# DESCRIPTION
+
+`ikiwiki-mass-rebuild` can be used to force a rebuild of all the wikis
+on a system. You will need to list the wikis it shuld build in the file
+/etc/ikiwiki/wikilist, which has the format:
+
+user /path/to/wiki
+
+# AUTHOR
+
+Joey Hess <joey@kitenet.net>
+
+Warning: this page is automatically made into ikiwiki-mass-rebuild's man page, edit with care
--- /dev/null
+#!/bin/sh
+set -e
+
+wikilist=/etc/ikiwiki/wikilist
+
+processline () {
+ user="$1"
+ setup="$2"
+
+ if [ -z "$user" ] || [ -z "$setup" ]; then
+ echo "parse failure in /etc/ikiwiki/wikilist, line: '$user $setup'" >&2
+ exit 1
+ fi
+
+ if [ ! -f "$setup" ]; then
+ echo "warning: $setup specified in /etc/ikiwiki/wikilist does not exist, skipping" >&2
+ else
+ echo "Rebuilding $setup as user $user ..."
+ su "$user" -c "ikiwiki -setup $setup"
+ fi
+}
+
+if [ -e "$wikilist" ]; then
+ grep -v '^#' $wikilist | grep -v '^$' | while read line; do
+ processline $line
+ done
+fi
#!/usr/bin/perl
# Warning: hack
-print ".TH ikiwiki 1\n";
+my $prog=shift;
+my $section=shift;
+
+print ".TH $prog $section\n";
while (<>) {
s{(\\?)\[\[([^\s\]]+)\]\]}{$1 ? "[[$2]]" : $2}eg;
smplphrase: true
candetail: true
smlrvnum: 0
+smlrtune: 16 1024 4096
clipview: 2
+relkeynum: 0
spcache:
+wildmax: 256
+qxpndcmd:
--- /dev/null
+# This file is used by ikiwiki-mass-rebuild script rebuild the listed
+# wikis. Run this script when upgrading ikiwiki to an incompatible new
+# version that requires rebuilding everything.
+#
+# ikiwiki-mass-rebuild su's to the listed user and then runs ikiwiki -setup
+# on the specified ikiwiki setup file.
+
+#joey /home/joey/.ikiwiki/ikiwiki.setup